## pycoast 1.3.2%2Bdfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -a
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pycoast.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pycoast.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pycoast"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pycoast"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## pycoast 0.5.2

=== debian/changelog ===
pycoast (0.5.2-2) unstable; urgency=medium

  * Standers version bumped to 3.9.7 (no change)
  * debian/control:
    - fixed the URL of the project home page
    - fixed VCS URL
  * debian/watch:
    - fixed download URL
  * debian/copyrifht
    - project URL updated
  * Switch to pybuild 

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 21 Feb 2016 12:36:49 +0000

pycoast (0.5.2-1) unstable; urgency=low

  * Initial release (Closes: #752328)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 22 Jun 2014 12:53:26 +0000

=== debian/control ===
Source: pycoast
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9.0.0),
               dh-python,
               python-setuptools,
               python-all,
               python-numpy,
               python-pil,
               python-pyshp,
               python-pyproj,
               python-sphinx
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pycoast.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pycoast.git
Homepage: https://github.com/pytroll/pycoast

Package: python-pycoast
Architecture: all
Depends: ${shlibs:Depends},
         ${python:Depends},
         ${misc:Depends},
         python-numpy,
         python-pil,
         python-pyshp,
         python-pyproj
Description: Draw coastlines, borders and rivers on images
 Pycoast is a Python package to add coastlines, borders and rivers to
 raster images using data from the GSHHS and WDBII datasets.
 .
 This package is part of the PyTroll toolset.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


export PYBUILD_NAME=pycoast
#export PYBUILD_TEST_ARGS=test


%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build --buildsystem=pybuild
	$(MAKE) -C docs html


override_dh_auto_clean:
	dh_auto_clean --buildsystem=pybuild
	$(MAKE) -C docs clean

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|pycoast)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pycoast-$1.$2/ \
https://github.com/pytroll/pycoast/releases \
(?:.*?/)?(?:rel|v|pycoast)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pycoast 0.5.4+dfsg

=== debian/changelog ===
pycoast (0.5.4+dfsg-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release
  * Remove pre-built sphinx doc from the source tarball
  * Remove pycoast/tests/test_data/shapes form the archive: incomaptible
    data license
  * debian/rules
    - enable parallel build
  * debian/control
    - package description updated
    - standard version bumped to 3.9.8 (no change)
  * debian/patches
    - drop 0001-fix-egginfo.patch: no longer necessary
    - new 0001-Skip-test-in-ContourWriterAGG.patch for skipping test on
      ContourWriterAGG if the drawagg module is not available
    - new 0002-Skip-offending-tests.patch for skipping offending tests
      (see also https://github.com/pytroll/pycoast/issues/4)
    - add 0003-Skip-tests-that-use-shapes.patch (data are non longer included
      in the source tarball)
  * debian/copyright
    - fix DEP-5 URL

  [ Bas Couwenberg ]
  * Override dh_python2 to call dh_numpy too.
  * Update copyright file, changes:
    - Add copyright years for Esben S. Nielsen
    - Add additional copyright holders
    - Drop .0 from GPL license shortname
    - Add license & copyright for test data
  * Use Files-Excluded & uscan repacksuffix for repacked upstream tarballs.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 03 Jul 2016 17:26:28 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python-pyshp,
                python-pyproj,
                python-sphinx
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pycoast.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pycoast.git
 Homepage: https://github.com/pytroll/pycoast
@@ -28,6 +28,7 @@
          python-pyproj
 Description: Draw coastlines, borders and rivers on images
  Pycoast is a Python package to add coastlines, borders and rivers to
- raster images using data from the GSHHS and WDBII datasets.
+ raster images using data from the GSHHG (previously known as GSHHS)
+ and WDBII datasets.
  .
  This package is part of the PyTroll toolset.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 
 %:
-	dh $@ --with python2,sphinxdoc --buildsystem=pybuild
+	dh $@ --parallel --with python2,sphinxdoc --buildsystem=pybuild
 
 
 override_dh_auto_build:
@@ -21,3 +21,8 @@
 override_dh_auto_clean:
 	dh_auto_clean --buildsystem=pybuild
 	$(MAKE) -C docs clean
+
+
+override_dh_python2:
+	dh_python2
+	dh_numpy

## pycoast 0.6.1+dfsg

=== debian/changelog ===
pycoast (0.6.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 16:31:57 +0200

pycoast (0.6.1+dfsg-1) experimental; urgency=medium

  * New upstream release
  * debian/copyright
    - update copyright date
  * debian/patches
    - drop patch 0001-Skip-test-in-ContourWriterAGG.patch, merged upstream
    - refresh and renumber remainimg patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 04 Jun 2017 15:47:45 +0000

## pycoast 1.0.0%2Bdfsg

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\.?\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|pycoast)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pycoast-$1.$2/,\
repacksuffix=+dfsg \
https://github.com/pytroll/pycoast/releases \
(?:.*?/)?(?:rel|v|pycoast)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pycoast 1.0.0+dfsg

=== debian/changelog ===
pycoast (1.0.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add Breaks/Replaces to -doc package.
    (closes: #874422)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 06 Sep 2017 11:29:19 +0200

pycoast (1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * New package for Python 3
  * New package for HTML documentation
  * debian/control
    - standard version bumped to 4.0.0 (no change)
    - add python-six to dependencies
  * debian/patches
    - drop 0001-Skip-offending-tests.patch (no longer necessary)
    - refresh and renumber remaining patches
  * fix image file duplication in HTML doc (lintian warning) 

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 18 Aug 2017 17:07:23 +0000

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,21 @@
 Build-Depends: debhelper (>= 9.0.0),
                dh-python,
                python-setuptools,
+               python3-setuptools,
                python-all,
+               python3-all,
                python-numpy,
+               python3-numpy,
                python-pil,
+               python3-pil,
                python-pyshp,
+               python3-pyshp,
                python-pyproj,
-               python-sphinx
-Standards-Version: 3.9.8
+               python3-pyproj,
+               python-six,
+               python3-six,
+               python3-sphinx
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pycoast.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pycoast.git
 Homepage: https://github.com/pytroll/pycoast
@@ -25,10 +33,51 @@
          python-numpy,
          python-pil,
          python-pyshp,
-         python-pyproj
+         python-pyproj,
+         python-six
 Description: Draw coastlines, borders and rivers on images
  Pycoast is a Python package to add coastlines, borders and rivers to
  raster images using data from the GSHHG (previously known as GSHHS)
  and WDBII datasets.
  .
  This package is part of the PyTroll toolset.
+ .
+ This package contains pycoast for Python 2.
+
+Package: python3-pycoast
+Architecture: all
+Depends: ${shlibs:Depends},
+         ${python3:Depends},
+         ${misc:Depends},
+         python3-numpy,
+         python3-pil,
+         python3-pyshp,
+         python3-pyproj,
+         python3-six
+Description: Draw coastlines, borders and rivers on images (for Python 3)
+ Pycoast is a Python package to add coastlines, borders and rivers to
+ raster images using data from the GSHHG (previously known as GSHHS)
+ and WDBII datasets.
+ .
+ This package is part of the PyTroll toolset.
+ .
+ This package contains pycoast for Python 3.
+
+Package: python-pycoast-doc
+Architecture: all
+Section: doc
+Multi-Arch: foreign
+Depends: ${sphinxdoc:Depends},
+         ${misc:Depends}
+Suggests: www-browser
+Breaks: python-pycoast (<< 1.0.0)
+Replaces: python-pycoast (<< 1.0.0)
+Description: Draw coastlines, borders and rivers on images (common documentation)
+ Pycoast is a Python package to add coastlines, borders and rivers to
+ raster images using data from the GSHHG (previously known as GSHHS)
+ and WDBII datasets.
+ .
+ This package is part of the PyTroll toolset.
+ .
+ This is the common documentation package.
+

=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,13 @@
 
 
 %:
-	dh $@ --parallel --with python2,sphinxdoc --buildsystem=pybuild
+	dh $@ --parallel --with python2,python3,sphinxdoc --buildsystem=pybuild
 
 
 override_dh_auto_build:
 	dh_auto_build --buildsystem=pybuild
 	$(MAKE) -C docs html
+	$(RM) -r docs/build/html/_images
 
 
 override_dh_auto_clean:
@@ -26,3 +27,9 @@
 override_dh_python2:
 	dh_python2
 	dh_numpy
+
+
+override_dh_python3:
+	dh_python3
+	dh_numpy3
+

## pycoast 1.2.2+dfsg

=== debian/changelog ===
pycoast (1.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 17 Jan 2019 07:02:37 +0000

pycoast (1.2.1+dfsg-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.2.1, no changes.
  * Update watch file to limit matches to archive path.
  * Sort dependencies.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/copyright
    - update copyright file
  * debian/patches
    - drop pyshp-2.0.0.patch, no longer necessary
    - refresh remaining patches
  * debian/control
    - add dependency on aggdraw

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 03 Dec 2018 20:58:29 +0000

pycoast (1.0.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.5, no changes.
  * Strip trailing whitespace from control & rules files.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 16:39:00 +0200

pycoast (1.0.0+dfsg-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Strip trailing whitespace from changelog.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.3, no changes.

  [ Antonio Valentino ]
  * Set compat to 11.
  * Add upstream metadata.
  * Add autopkgtest to test installability.
  * debian/rules
    - drop unnecessary dh argument (--parallel)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 01 Apr 2018 08:18:34 +0000

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper (>= 11),
                dh-python,
-               python-setuptools,
-               python3-setuptools,
                python-all,
                python3-all,
+               python-aggdraw,
+               python3-aggdraw,
                python-numpy,
                python3-numpy,
                python-pil,
@@ -17,12 +17,14 @@
                python3-pyshp,
                python-pyproj,
                python3-pyproj,
+               python-setuptools,
+               python3-setuptools,
                python-six,
                python3-six,
                python3-sphinx
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pycoast.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pycoast.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/pycoast
+Vcs-Git: https://salsa.debian.org/debian-gis-team/pycoast.git
 Homepage: https://github.com/pytroll/pycoast
 
 Package: python-pycoast
@@ -30,6 +32,7 @@
 Depends: ${shlibs:Depends},
          ${python:Depends},
          ${misc:Depends},
+         python-aggdraw,
          python-numpy,
          python-pil,
          python-pyshp,
@@ -49,6 +52,7 @@
 Depends: ${shlibs:Depends},
          ${python3:Depends},
          ${misc:Depends},
+         python3-aggdraw,
          python3-numpy,
          python3-pil,
          python3-pyshp,
@@ -80,4 +84,3 @@
  This package is part of the PyTroll toolset.
  .
  This is the common documentation package.
-

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 
 %:
-	dh $@ --parallel --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
 
 override_dh_auto_build:
@@ -32,4 +32,3 @@
 override_dh_python3:
 	dh_python3
 	dh_numpy3
-

## pycoast 1.2.3+dfsg

=== debian/changelog ===
pycoast (1.2.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.0, no changes.
  * Drop Python 2 support.
  * Reorder (build) dependencies.
  * Update dh_python3 override to not act on -doc package.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 21 Jul 2019 11:16:37 +0200

pycoast (1.2.3+dfsg-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Move image symlinks to -doc package too.
    (closes: #924212)
  * Update gbp.conf to use --source-only-changes by default.

  [ Antonio Valentino ]
  * New upstream release.
  * Suggest python-pycoast-doc.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Jul 2019 16:56:47 +0000

=== debian/control ===
Source: pycoast
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-aggdraw,
               python3-numpy,
               python3-pil,
               python3-pyproj,
               python3-pyshp,
               python3-setuptools,
               python3-six,
               python3-sphinx
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pycoast
Vcs-Git: https://salsa.debian.org/debian-gis-team/pycoast.git
Homepage: https://github.com/pytroll/pycoast

Package: python3-pycoast
Architecture: all
Depends: python3-aggdraw,
         python3-numpy,
         python3-pil,
         python3-pyproj,
         python3-pyshp,
         python3-six,
         ${python3:Depends},
         ${misc:Depends}
Suggests: python-pycoast-doc
Description: Draw coastlines, borders and rivers on images (for Python 3)
 Pycoast is a Python package to add coastlines, borders and rivers to
 raster images using data from the GSHHG (previously known as GSHHS)
 and WDBII datasets.
 .
 This package is part of the PyTroll toolset.
 .
 This package contains pycoast for Python 3.

Package: python-pycoast-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Suggests: www-browser
Breaks: python-pycoast (<< 1.2.2+dfsg-2~)
Replaces: python-pycoast (<< 1.2.2+dfsg-2~)
Description: Draw coastlines, borders and rivers on images (common documentation)
 Pycoast is a Python package to add coastlines, borders and rivers to
 raster images using data from the GSHHG (previously known as GSHHS)
 and WDBII datasets.
 .
 This package is part of the PyTroll toolset.
 .
 This is the common documentation package.

## pycoast 1.3.2%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 
 override_dh_auto_build:
@@ -24,11 +24,6 @@
 	$(MAKE) -C docs clean
 
 
-override_dh_python2:
-	dh_python2
-	dh_numpy
-
-
 override_dh_python3:
-	dh_python3
-	dh_numpy3
+	dh_python3 -N python-pycoast-doc
+	dh_numpy3 -N python-pycoast-doc

=== debian/watch ===
--- 
+++ 
@@ -5,4 +5,4 @@
 filenamemangle=s/(?:.*?)?(?:rel|v|pycoast)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pycoast-$1.$2/,\
 repacksuffix=+dfsg \
 https://github.com/pytroll/pycoast/releases \
-(?:.*?/)?(?:rel|v|pycoast)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
+(?:.*?/archive/)?(?:rel|v|pycoast)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pycoast 1.3.2+dfsg

=== debian/changelog ===
pycoast (1.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - refresh all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 08 Dec 2019 11:02:36 +0000

pycoast (1.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - refresh all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 10 Nov 2019 08:04:12 +0000

pycoast (1.3.0+dfsg-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.4.1, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - refresh all patches
  * debian/control:
    - bump debhelper from old 11 to 12
    - update test dependencies (add python3-pyresample)
    - explicitly set Rules-Requires-Root: no
  * Remove obsolete fields Name from debian/upstream/metadata.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 29 Oct 2019 07:44:24 +0100

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,21 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
+Rules-Requires-Root: no
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-aggdraw,
                python3-numpy,
                python3-pil,
                python3-pyproj,
+               python3-pyresample,
                python3-pyshp,
                python3-setuptools,
                python3-six,
                python3-sphinx
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pycoast
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pycoast.git
 Homepage: https://github.com/pytroll/pycoast

## pycoast 1.4.0+dfsg

=== debian/changelog ===
pycoast (1.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - add Testsuite: autopkgtest-pkg-python
  * Drop lintian-overrides.
  * Bump Standards-Version to 4.5.0, no changes.
  * debian/patches:
    - refresh all patches
  * debian/copyright:
    - update copyright dates

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 11 Jun 2020 05:49:18 +0000

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
+Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
@@ -16,7 +17,7 @@
                python3-setuptools,
                python3-six,
                python3-sphinx
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pycoast
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pycoast.git
 Homepage: https://github.com/pytroll/pycoast

## pycoast 1.5.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-python,
+               fonts-dejavu-core,
                python3-all,
                python3-aggdraw,
                python3-numpy,
@@ -14,10 +15,10 @@
                python3-pyproj,
                python3-pyresample,
                python3-pyshp,
+               python3-pytest,
                python3-setuptools,
-               python3-six,
                python3-sphinx
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pycoast
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pycoast.git
 Homepage: https://github.com/pytroll/pycoast
@@ -29,10 +30,10 @@
          python3-pil,
          python3-pyproj,
          python3-pyshp,
-         python3-six,
          ${python3:Depends},
          ${misc:Depends}
-Suggests: python-pycoast-doc
+Suggests: fonts-dejavu-core,
+          python-pycoast-doc
 Description: Draw coastlines, borders and rivers on images (for Python 3)
  Pycoast is a Python package to add coastlines, borders and rivers to
  raster images using data from the GSHHG (previously known as GSHHS)

## pycoast 1.5.0+dfsg

=== debian/changelog ===
pycoast (1.5.0+dfsg-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.0, no changes.

  [ Antonio Valentino ]
  * Disable broken tests: test_add_points_pil and
    test_config_file_points_and_borders_pil.
    See discussion at https://github.com/pytroll/pycoast/issues/57.
    Closes: #997486.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 30 Nov 2021 07:52:41 +0000

pycoast (1.5.0+dfsg-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.
  * Update watch file for GitHub URL changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/copyright
    - update the list excluded files: pre-built documentation
      is no longer included in the upstream tarball
    - update copyright dates.
  * debian/patches
    - refresh all patches
    - new 0002-Fix-font-path.patch (only needed for testing on
      debian systems)
  * debian/control
    - update dependencies: drop six, add pytest and
      fonts-dejavu-core (build only).
  * debian/rules
    - fix pytest args.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 29 Aug 2021 17:23:17 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-# Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
 
 export PYBUILD_NAME=pycoast
-#export PYBUILD_TEST_ARGS=test
+export PYBUILD_TEST_ARGS=$(CURDIR)/pycoast/tests \
+-k "not test_add_points_pil and not test_config_file_points_and_borders_pil"
 
 
 %:

## pycoast 1.6.1+dfsg

=== debian/changelog ===
pycoast (1.6.1+dfsg-4) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Remove generated files in clean target.
    (closes: #1047331)
  * Use execute_after instead of override in rules file.

  [ Antonio Valentino ]
  * debian/control:
    - Use the <!nocheck> and <!nodoc> markers.
    - Update package description.
    - Build-depend on python3-versioneer.
  * Switch to autopkgtest-pkg-pybuild and remove the no longer
    needed d/test folder.
  * debian/rules:
    - Improve doc build.
    - Remove unnecesssary rules.
  * Simplify d/clean.
  * New d/python3-pycoast.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 14 Aug 2023 16:52:35 +0000

pycoast (1.6.1+dfsg-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.

  [ Antonio Valentino ]
  * debian/control:
    - fix lintian warnings (break/replaces too old versions).
  * debian/patches:
    - new 0006-Compatibility-with-Pillow-10.patch (Closes: #1040634).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 08 Jul 2023 16:32:00 +0000

pycoast (1.6.1+dfsg-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Enable numpy3 dh helper.

  [ Antonio Valentino ]
  * debian/patches:
    - New 0005-Relax-tolerance-for-pillow-9.4.patch (Closes: #1028040).
      Fix compatibility with Pillow 9.4 (see also
      https://github.com/pytroll/pycoast/issues/82).
    - debian/copyright:
      - update copyright dates.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 06 Jan 2023 11:04:13 +0000

pycoast (1.6.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    - set LANGUAGE to ensure reproducible builds.
    - clean temporary files after build/test.
  * debian/patches:
    - refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 14 Nov 2022 22:31:09 +0000

pycoast (1.6.0+dfsg-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/copyright:
    - update copyright dates in d/copyright
    - remove unused entries.
  * debian/control:
    - add build-dependency on python3-sphinxcontrib.apidoc and
      python3-sphinx-rtd-theme.
    - add build-dependency pybuild-plugin-pyproject.
  * debian/patches:
    - refresh all parches
    - new 0003-Fix-sphinx-build.patch
    - new 0004-Remove-versioneer-from-pyproject.toml.patch.
  * debian/rules:
    - exclude tests using the excludesd shapefiles
    - exclude tests with too strict error threshold
    - copy test data files to the build directory.
  * Add d/tests for autopkgtests.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 01 Nov 2022 11:51:10 +0000

=== debian/control ===
Source: pycoast
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               fonts-dejavu-core,
               pybuild-plugin-pyproject,
               python3-all,
               python3-aggdraw,
               python3-numpy,
               python3-pil,
               python3-pyproj,
               python3-pyresample,
               python3-pyshp,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinxcontrib.apidoc <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-versioneer
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pycoast
Vcs-Git: https://salsa.debian.org/debian-gis-team/pycoast.git
Homepage: https://github.com/pytroll/pycoast
Rules-Requires-Root: no
Description: Draw coastlines, borders and rivers on images (for Python 3)
 Pycoast is a Python package to add coastlines, borders and rivers to
 raster images using data from the GSHHG (previously known as GSHHS)
 and WDBII datasets.
 .
 This package is part of the PyTroll toolset.

Package: python3-pycoast
Architecture: all
Depends: python3-aggdraw,
         python3-pil,
         python3-pyproj,
         python3-pyshp,
         ${python3:Depends},
         ${misc:Depends}
Suggests: fonts-dejavu-core,
          python-pycoast-doc
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: python-pycoast-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Suggests: www-browser
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export PYBUILD_NAME=pycoast
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/pycoast/tests {build_dir}/*.png
export PYBUILD_TEST_ARGS=\
-k "not test_add_shapefiles_from_dict_agg \
and not test_add_shapefiles_from_dict_pil \
and not test_add_one_shapefile_from_cfg_agg \
and not test_add_one_shapefile_from_cfg_pil \
and not test_add_points_pil \
and not test_config_file_points_and_borders_pil \
and not test_add_cities_pil \
and not test_add_cities_cfg_pil \
and not test_add_cities_from_dict_pil \
and not test_add_grid_from_dict_pil \
and not test_eastern_shapes_pil \
and not test_western_shapes_pil \
and not test_no_h_scratch_pil \
and not test_no_v_scratch_pil \
and not test_add_cities_cfg_agg \
and not test_add_cities_from_dict_agg" \
$(CURDIR)/pycoast/tests

%:
	dh $@ --with python3,numpy3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	env PYTHONPATH={build_dir} \
	http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 \
	sphinx-build -N -E -T -b html docs/source $(CURDIR)/.pybuild/docs/html
	$(RM) -r $(CURDIR)/.pybuild/docs/html/.doctrees
	$(RM) -r $(CURDIR)/.pybuild/docs/html/_images
endif

## pycoast 1.7.0%2Bdfsg

=== docs/Makefile ===
--- 
+++ 
@@ -35,6 +35,7 @@
 
 clean:
 	-rm -rf $(BUILDDIR)/*
+	-rm -rf source/api/*.rst
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

## pycoast 1.7.0+dfsg

=== debian/changelog ===
pycoast (1.7.0+dfsg-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - Add dependency on python3-pytest-lazy-fixture.
  * debian/rule:
    - Improve doc build.
    - Update the list of tests to skip.
  * debian/patches:
    - Drop 0005-Relax-tolerance-for-pillow-9.4.patch and
      0006-Compatibility-with-Pillow-10.patch, applied upstream.
    - Drop 0001-Skip-tests-that-use-shapes.patch, skip via
      d/rules instead.
    - Refresh and renumber remaining patches.
  * Update d/copyright.

  [ Bas Couwenberg ]
  * Switch to dh-sequence-*.
  * Remove generated files in clean target.
  * Override dh_numpy3 to fix unused substitution variable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 30 Nov 2023 22:55:11 +0000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,9 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-numpy3,
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc,
                fonts-dejavu-core,
                pybuild-plugin-pyproject,
                python3-all,
@@ -16,6 +19,7 @@
                python3-pyresample,
                python3-pyshp,
                python3-pytest <!nocheck>,
+               python3-pytest-lazy-fixture <!nocheck>,
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinxcontrib.apidoc <!nodoc>,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export PYBUILD_NAME=pycoast
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/pycoast/tests {build_dir}/*.png
export PYBUILD_TEST_ARGS=\
-k "not test_add_shapefile_shapes \
and not test_add_shapefile_shapes_agg \
and not test_add_shapefiles_from_dict_agg \
and not test_add_shapefiles_from_dict_pil \
and not test_add_one_shapefile_from_cfg_agg \
and not test_add_one_shapefile_from_cfg_pil \
and not test_add_points_pil \
and not test_config_file_points_and_borders_pil \
and not test_add_cities_pil \
and not test_add_cities_cfg_pil \
and not test_add_cities_from_dict_pil \
and not test_add_grid_from_dict_pil \
and not test_shapes[cw_pil-western_shapes_pil.png-area_def0-specific_kwargs0] \
and not test_shapes[cw_pil-eastern_shapes_pil.png-area_def1-specific_kwargs1] \
and not test_no_scratch[cw_pil-no_h_scratch_pil.png-shape0-area_def0-specific_kwargs0] \
and not test_no_scratch[cw_pil-no_v_scratch_pil.png-shape1-area_def1-specific_kwargs1]" \
$(CURDIR)/pycoast/tests

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	env PYTHONPATH=$(shell pybuild --build -i python3 -s custom --build-args 'echo {build_dir}') \
	http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 \
	sphinx-build -N -E -T -b html docs/source $(CURDIR)/.pybuild/docs/html
	$(RM) -r $(CURDIR)/.pybuild/docs/html/.doctrees
	$(RM) -r $(CURDIR)/.pybuild/docs/html/_images
endif

override_dh_numpy3:
	dh_numpy3 -p python3-pycoast

## pycoast 1.7.1+dfsg

=== debian/changelog ===
pycoast (1.7.1+dfsg-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.
  * Fix old FSF address in copyright file.
  * Update lintian overrides.

  [ Antonio Valentino ]
  * debian/patches:
    - New 0004-pillow-13-compat.patch (Closes: #1112371).
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 30 Aug 2025 17:09:16 +0000

pycoast (1.7.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop 0004-Switch-to-python3-pytest-lazy-fixtures.patch,
      applied upstream.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 02 Jul 2024 19:04:47 +0000

pycoast (1.7.0+dfsg-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Use pybuild --print to get build_dir path.

  [ Antonio Valentino ]
  * debian/control:
    - Switch from python3-pytest-lazy-fixture to python3-pytest-lazy-fixtures
      as dependency.
  * debian/patches:
    - New 0004-Switch-to-python3-pytest-lazy-fixtures.patch.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 15 May 2024 17:44:03 +0000

=== debian/control ===
--- 
+++ 
@@ -19,13 +19,13 @@
                python3-pyresample,
                python3-pyshp,
                python3-pytest <!nocheck>,
-               python3-pytest-lazy-fixture <!nocheck>,
+               python3-pytest-lazy-fixtures <!nocheck>,
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinxcontrib.apidoc <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-versioneer
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pycoast
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pycoast.git
 Homepage: https://github.com/pytroll/pycoast

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 execute_after_dh_auto_build-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	env PYTHONPATH=$(shell pybuild --build -i python3 -s custom --build-args 'echo {build_dir}') \
+	env PYTHONPATH=$(shell pybuild --print build_dir -i python3) \
 	http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
 	LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 \
 	sphinx-build -N -E -T -b html docs/source $(CURDIR)/.pybuild/docs/html

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\.?\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|pycoast)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pycoast-$1.$2/,\
repacksuffix=+dfsg \
https://github.com/pytroll/pycoast/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|pycoast)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pycoast 1.8.0%2Bdfsg

=== debian/changelog ===
pycoast (1.8.0+dfsg-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - Drop 0004-pillow-13-compat.patch, applied upstream.
    - Refresh remaining patches.
  * debian/copyright:
    - Project re-licensed to Apache-2.0.
    - Update copyright dates.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 07 Feb 2026 12:14:21 +0000

## pycoast 1.8.0+dfsg

=== debian/changelog ===
pycoast (1.8.0+dfsg-2) unstable; urgency=medium

  * Update d/clean to not remove .gitkeep files.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 07 Feb 2026 17:37:56 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Testsuite: autopkgtest-pkg-pybuild
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-numpy3,
@@ -25,11 +24,10 @@
                python3-sphinxcontrib.apidoc <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-versioneer
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pycoast
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pycoast.git
 Homepage: https://github.com/pytroll/pycoast
-Rules-Requires-Root: no
 Description: Draw coastlines, borders and rivers on images (for Python 3)
  Pycoast is a Python package to add coastlines, borders and rivers to
  raster images using data from the GSHHG (previously known as GSHHS)
